module CDataDisplayConsole
	! use CDataDisplayConsole
    use SimulationVariables
	implicit none    
	public    
    contains  
    subroutine Set_TotalDepth(v)
        use SimulationVariables !@!!, only: data%EquipmentControl%DrillingWatch%Depth
        ! use CSimulationVariables, only: SetDistanceDrilled
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%TotalWellDepth = v
        data%EquipmentControl%DrillingWatch%Depth = v
        ! call SetDistanceDrilled(v)
    end subroutine
    
    subroutine Set_BitPosition(v)
        use SimulationVariables !@!!, only: data%EquipmentControl%DrillingWatch%BitPosition
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%BitDepth = v
        data%EquipmentControl%DrillingWatch%BitPosition = v
    end subroutine
    
    subroutine Set_RotaryTorque(v)
        use SimulationVariables !@!!, only: data%EquipmentControl%DrillingWatch%Torque
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%RotaryTorqueGauge = v
	    data%EquipmentControl%DrillingWatch%Torque = v
        data%EquipmentControl%DataDisplayConsole%RTTorque = v
    end subroutine
    
    
    subroutine Set_MudWeightIn(v)
        use SimulationVariables !@!, only: MudWeightInDw => data%EquipmentControl%DataDisplayConsole%MudWeightIn
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%MudWeightIn = v
	    data%EquipmentControl%DrillingWatch%MudWeightIn = v
    end subroutine
    
    subroutine Set_MudWeightOut(v)
        use SimulationVariables !@!, only: MudWeightOutDw => data%EquipmentControl%DataDisplayConsole%MudWeightOut
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%MudWeightOut = v
	    data%EquipmentControl%DrillingWatch%MudWeightOut = v
    end subroutine
    
    subroutine Set_TripTankVolume(v)
        use SimulationVariables !@!, only: data%EquipmentControl%DrillingWatch%TripTankVolume
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DrillingWatch%TripTankVolume = v
    end subroutine
    
    subroutine Set_FillVolume(v)
        use SimulationVariables !@!, only: data%EquipmentControl%DrillingWatch%FillVolume
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DrillingWatch%FillVolume = v
    end subroutine
    
    subroutine Set_HookLoad(v)
        use SimulationVariables !@!, only: HookLoadDw => data%EquipmentControl%DataDisplayConsole%HookLoad
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%HookLoadPointer = v
        data%EquipmentControl%DrillingWatch%HookLoad = v * 1000
        data%EquipmentControl%DataDisplayConsole%HookLoad = v
    end subroutine
    
    subroutine Set_WeightOnBit(v)
        use SimulationVariables !@!, only: data%EquipmentControl%DrillingWatch%WeightOnBit
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%WOBPointer = v
        data%EquipmentControl%DrillingWatch%WeightOnBit = v
        data%EquipmentControl%DataDisplayConsole%WOP = v
    end subroutine
    
    subroutine Set_ROP(v)
        use SimulationVariables !@!, only: ROPDw => data%EquipmentControl%DataDisplayConsole%ROP
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%ROP = v
        data%EquipmentControl%DrillingWatch%ROP = v
    end subroutine
    
    subroutine Set_CasingPressure(v)
        use SimulationVariables !@!, only: CasingPressureDw => CasingPressure
        use CChokeControlPanelVariables
        use SimulationVariables!, only: CasingPressureChoke => CasingPressure
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%CasingPressureGauge = v
        data%EquipmentControl%DrillingWatch%CasingPressure = v
        data%EquipmentControl%ChokeControlPanel%CasingPressure = v
        data%EquipmentControl%DataDisplayConsole%CasingPressure = v
    end subroutine
    
    subroutine Set_StandPipePressure(v)
        use SimulationVariables !@!, only: data%EquipmentControl%DrillingWatch%PumpPressure
        use CChokeControlPanelVariables
    use SimulationVariables!, only: StandPipePressureChoke => data%EquipmentControl%DataDisplayConsole%StandPipePressure
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%StandPipePressureGauge = v
        data%EquipmentControl%DrillingWatch%PumpPressure = v
        data%EquipmentControl%ChokeControlPanel%StandPipePressure = v
        data%EquipmentControl%DataDisplayConsole%StandPipePressure = v
        
        
        
    end subroutine
    
    
    subroutine Set_RotaryRPMGauge(v)
        use SimulationVariables !@!, only: data%EquipmentControl%DrillingWatch%RPM
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%RotaryRPMGauge = v
        data%EquipmentControl%DrillingWatch%RPM = v
        data%EquipmentControl%DataDisplayConsole%RTRPM = v
        ! call data%EquipmentControl%DataDisplayConsole%OnRotaryRpmChange%RunAll(v)
    end subroutine
    
    
    
    
    subroutine Set_MP1SPMGauge(v)
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%MP1SPMGauge = v
        data%EquipmentControl%DataDisplayConsole%MP1SPM = v
        !@data%State%unitySignals%(PumpsSpmChanges)) call PumpsSpmChanges(data%EquipmentControl%DataDisplayConsole%MP1SPMGauge, data%EquipmentControl%DataDisplayConsole%MP2SPMGauge)
#ifdef deb
	    print*, 'MP1SPMGauge=', data%EquipmentControl%DataDisplayConsole%MP1SPMGauge
#endif
    end subroutine
    
    subroutine Set_MP2SPMGauge(v)
	    implicit none
	    real(8), intent(in) :: v
	    data%EquipmentControl%DataDisplayConsole%MP2SPMGauge = v
        data%EquipmentControl%DataDisplayConsole%MP2SPM = v
        !@data%State%unitySignals%(PumpsSpmChanges)) call PumpsSpmChanges(data%EquipmentControl%DataDisplayConsole%MP1SPMGauge, data%EquipmentControl%DataDisplayConsole%MP2SPMGauge)
#ifdef deb
	    print*, 'MP2SPMGauge=', data%EquipmentControl%DataDisplayConsole%MP2SPMGauge
#endif
    end subroutine
end module CDataDisplayConsole